--IP Functional Simulation Model
--VERSION_BEGIN 11.1SP2 cbx_mgl 2012:01:25:21:26:09:SJ cbx_simgen 2012:01:25:21:25:27:SJ  VERSION_END


-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  altera_merlin_multiplexer_0001 IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 sink0_channel	:	IN  STD_LOGIC_VECTOR (1 DOWNTO 0);
		 sink0_data	:	IN  STD_LOGIC_VECTOR (65 DOWNTO 0);
		 sink0_endofpacket	:	IN  STD_LOGIC;
		 sink0_ready	:	OUT  STD_LOGIC;
		 sink0_startofpacket	:	IN  STD_LOGIC;
		 sink0_valid	:	IN  STD_LOGIC;
		 sink1_channel	:	IN  STD_LOGIC_VECTOR (1 DOWNTO 0);
		 sink1_data	:	IN  STD_LOGIC_VECTOR (65 DOWNTO 0);
		 sink1_endofpacket	:	IN  STD_LOGIC;
		 sink1_ready	:	OUT  STD_LOGIC;
		 sink1_startofpacket	:	IN  STD_LOGIC;
		 sink1_valid	:	IN  STD_LOGIC;
		 src_channel	:	OUT  STD_LOGIC_VECTOR (1 DOWNTO 0);
		 src_data	:	OUT  STD_LOGIC_VECTOR (65 DOWNTO 0);
		 src_endofpacket	:	OUT  STD_LOGIC;
		 src_ready	:	IN  STD_LOGIC;
		 src_startofpacket	:	OUT  STD_LOGIC;
		 src_valid	:	OUT  STD_LOGIC
	 ); 
 END altera_merlin_multiplexer_0001;

 ARCHITECTURE RTL OF altera_merlin_multiplexer_0001 IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL  wire_w_lg_sink0_valid402w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid409w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid5w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid66w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid72w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid78w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid84w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid90w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid96w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid102w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid108w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid114w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid120w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid12w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid126w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid132w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid138w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid144w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid150w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid156w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid162w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid168w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid174w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid180w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid18w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid186w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid192w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid198w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid204w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid210w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid216w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid222w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid228w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid234w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid240w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid24w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid246w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid252w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid258w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid264w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid270w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid276w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid282w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid288w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid294w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid300w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid30w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid306w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid312w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid318w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid324w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid330w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid336w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid342w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid348w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid354w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid360w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid36w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid366w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid372w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid378w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid384w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid390w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid396w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid42w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid48w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid54w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink0_valid60w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid404w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid411w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid7w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid68w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid74w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid80w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid86w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid92w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid98w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid104w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid110w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid116w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid122w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid14w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid128w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid134w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid140w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid146w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid152w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid158w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid164w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid170w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid176w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid182w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid20w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid188w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid194w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid200w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid206w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid212w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid218w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid224w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid230w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid236w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid242w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid26w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid248w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid254w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid260w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid266w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid272w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid278w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid284w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid290w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid296w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid302w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid32w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid308w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid314w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid320w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid326w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid332w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid338w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid344w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid350w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid356w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid362w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid38w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid368w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid374w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid380w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid386w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid392w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid398w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid44w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid50w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid56w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_sink1_valid62w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid402w405w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid409w412w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid5w8w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid66w69w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid72w75w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid78w81w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid84w87w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid90w93w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid96w99w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid102w105w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid108w111w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid114w117w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid120w123w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid12w15w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid126w129w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid132w135w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid138w141w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid144w147w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid150w153w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid156w159w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid162w165w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid168w171w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid174w177w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid180w183w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid18w21w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid186w189w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid192w195w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid198w201w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid204w207w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid210w213w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid216w219w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid222w225w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid228w231w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid234w237w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid240w243w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid24w27w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid246w249w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid252w255w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid258w261w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid264w267w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid270w273w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid276w279w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid282w285w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid288w291w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid294w297w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid300w303w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid30w33w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid306w309w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid312w315w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid318w321w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid324w327w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid330w333w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid336w339w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid342w345w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid348w351w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid354w357w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid360w363w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid36w39w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid366w369w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid372w375w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid378w381w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid384w387w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid390w393w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid396w399w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid42w45w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid48w51w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid54w57w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_lg_sink0_valid60w63w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range401w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_channel_range408w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range4w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range65w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range71w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range77w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range83w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range89w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range95w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range101w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range107w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range113w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range119w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range11w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range125w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range131w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range137w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range143w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range149w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range155w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range161w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range167w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range173w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range179w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range17w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range185w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range191w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range197w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range203w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range209w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range215w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range221w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range227w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range233w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range239w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range23w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range245w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range251w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range257w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range263w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range269w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range275w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range281w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range287w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range293w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range299w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range29w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range305w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range311w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range317w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range323w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range329w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range335w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range341w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range347w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range353w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range359w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range35w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range365w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range371w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range377w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range383w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range389w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range395w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range41w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range47w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range53w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink0_data_range59w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range403w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_channel_range410w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range6w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range67w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range73w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range79w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range85w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range91w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range97w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range103w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range109w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range115w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range121w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range13w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range127w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range133w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range139w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range145w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range151w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range157w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range163w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range169w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range175w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range181w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range19w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range187w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range193w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range199w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range205w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range211w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range217w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range223w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range229w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range235w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range241w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range25w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range247w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range253w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range259w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range265w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range271w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range277w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range283w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range289w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range295w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range301w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range31w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range307w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range313w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range319w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range325w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range331w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range337w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range343w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range349w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range355w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range361w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range37w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range367w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range373w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range379w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range385w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range391w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range397w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range43w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range49w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range55w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_sink1_data_range61w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_w_lg_sink0_valid402w(0) <= sink0_valid AND wire_w_sink0_channel_range401w(0);
	wire_w_lg_sink0_valid409w(0) <= sink0_valid AND wire_w_sink0_channel_range408w(0);
	wire_w_lg_sink0_valid5w(0) <= sink0_valid AND wire_w_sink0_data_range4w(0);
	wire_w_lg_sink0_valid66w(0) <= sink0_valid AND wire_w_sink0_data_range65w(0);
	wire_w_lg_sink0_valid72w(0) <= sink0_valid AND wire_w_sink0_data_range71w(0);
	wire_w_lg_sink0_valid78w(0) <= sink0_valid AND wire_w_sink0_data_range77w(0);
	wire_w_lg_sink0_valid84w(0) <= sink0_valid AND wire_w_sink0_data_range83w(0);
	wire_w_lg_sink0_valid90w(0) <= sink0_valid AND wire_w_sink0_data_range89w(0);
	wire_w_lg_sink0_valid96w(0) <= sink0_valid AND wire_w_sink0_data_range95w(0);
	wire_w_lg_sink0_valid102w(0) <= sink0_valid AND wire_w_sink0_data_range101w(0);
	wire_w_lg_sink0_valid108w(0) <= sink0_valid AND wire_w_sink0_data_range107w(0);
	wire_w_lg_sink0_valid114w(0) <= sink0_valid AND wire_w_sink0_data_range113w(0);
	wire_w_lg_sink0_valid120w(0) <= sink0_valid AND wire_w_sink0_data_range119w(0);
	wire_w_lg_sink0_valid12w(0) <= sink0_valid AND wire_w_sink0_data_range11w(0);
	wire_w_lg_sink0_valid126w(0) <= sink0_valid AND wire_w_sink0_data_range125w(0);
	wire_w_lg_sink0_valid132w(0) <= sink0_valid AND wire_w_sink0_data_range131w(0);
	wire_w_lg_sink0_valid138w(0) <= sink0_valid AND wire_w_sink0_data_range137w(0);
	wire_w_lg_sink0_valid144w(0) <= sink0_valid AND wire_w_sink0_data_range143w(0);
	wire_w_lg_sink0_valid150w(0) <= sink0_valid AND wire_w_sink0_data_range149w(0);
	wire_w_lg_sink0_valid156w(0) <= sink0_valid AND wire_w_sink0_data_range155w(0);
	wire_w_lg_sink0_valid162w(0) <= sink0_valid AND wire_w_sink0_data_range161w(0);
	wire_w_lg_sink0_valid168w(0) <= sink0_valid AND wire_w_sink0_data_range167w(0);
	wire_w_lg_sink0_valid174w(0) <= sink0_valid AND wire_w_sink0_data_range173w(0);
	wire_w_lg_sink0_valid180w(0) <= sink0_valid AND wire_w_sink0_data_range179w(0);
	wire_w_lg_sink0_valid18w(0) <= sink0_valid AND wire_w_sink0_data_range17w(0);
	wire_w_lg_sink0_valid186w(0) <= sink0_valid AND wire_w_sink0_data_range185w(0);
	wire_w_lg_sink0_valid192w(0) <= sink0_valid AND wire_w_sink0_data_range191w(0);
	wire_w_lg_sink0_valid198w(0) <= sink0_valid AND wire_w_sink0_data_range197w(0);
	wire_w_lg_sink0_valid204w(0) <= sink0_valid AND wire_w_sink0_data_range203w(0);
	wire_w_lg_sink0_valid210w(0) <= sink0_valid AND wire_w_sink0_data_range209w(0);
	wire_w_lg_sink0_valid216w(0) <= sink0_valid AND wire_w_sink0_data_range215w(0);
	wire_w_lg_sink0_valid222w(0) <= sink0_valid AND wire_w_sink0_data_range221w(0);
	wire_w_lg_sink0_valid228w(0) <= sink0_valid AND wire_w_sink0_data_range227w(0);
	wire_w_lg_sink0_valid234w(0) <= sink0_valid AND wire_w_sink0_data_range233w(0);
	wire_w_lg_sink0_valid240w(0) <= sink0_valid AND wire_w_sink0_data_range239w(0);
	wire_w_lg_sink0_valid24w(0) <= sink0_valid AND wire_w_sink0_data_range23w(0);
	wire_w_lg_sink0_valid246w(0) <= sink0_valid AND wire_w_sink0_data_range245w(0);
	wire_w_lg_sink0_valid252w(0) <= sink0_valid AND wire_w_sink0_data_range251w(0);
	wire_w_lg_sink0_valid258w(0) <= sink0_valid AND wire_w_sink0_data_range257w(0);
	wire_w_lg_sink0_valid264w(0) <= sink0_valid AND wire_w_sink0_data_range263w(0);
	wire_w_lg_sink0_valid270w(0) <= sink0_valid AND wire_w_sink0_data_range269w(0);
	wire_w_lg_sink0_valid276w(0) <= sink0_valid AND wire_w_sink0_data_range275w(0);
	wire_w_lg_sink0_valid282w(0) <= sink0_valid AND wire_w_sink0_data_range281w(0);
	wire_w_lg_sink0_valid288w(0) <= sink0_valid AND wire_w_sink0_data_range287w(0);
	wire_w_lg_sink0_valid294w(0) <= sink0_valid AND wire_w_sink0_data_range293w(0);
	wire_w_lg_sink0_valid300w(0) <= sink0_valid AND wire_w_sink0_data_range299w(0);
	wire_w_lg_sink0_valid30w(0) <= sink0_valid AND wire_w_sink0_data_range29w(0);
	wire_w_lg_sink0_valid306w(0) <= sink0_valid AND wire_w_sink0_data_range305w(0);
	wire_w_lg_sink0_valid312w(0) <= sink0_valid AND wire_w_sink0_data_range311w(0);
	wire_w_lg_sink0_valid318w(0) <= sink0_valid AND wire_w_sink0_data_range317w(0);
	wire_w_lg_sink0_valid324w(0) <= sink0_valid AND wire_w_sink0_data_range323w(0);
	wire_w_lg_sink0_valid330w(0) <= sink0_valid AND wire_w_sink0_data_range329w(0);
	wire_w_lg_sink0_valid336w(0) <= sink0_valid AND wire_w_sink0_data_range335w(0);
	wire_w_lg_sink0_valid342w(0) <= sink0_valid AND wire_w_sink0_data_range341w(0);
	wire_w_lg_sink0_valid348w(0) <= sink0_valid AND wire_w_sink0_data_range347w(0);
	wire_w_lg_sink0_valid354w(0) <= sink0_valid AND wire_w_sink0_data_range353w(0);
	wire_w_lg_sink0_valid360w(0) <= sink0_valid AND wire_w_sink0_data_range359w(0);
	wire_w_lg_sink0_valid36w(0) <= sink0_valid AND wire_w_sink0_data_range35w(0);
	wire_w_lg_sink0_valid366w(0) <= sink0_valid AND wire_w_sink0_data_range365w(0);
	wire_w_lg_sink0_valid372w(0) <= sink0_valid AND wire_w_sink0_data_range371w(0);
	wire_w_lg_sink0_valid378w(0) <= sink0_valid AND wire_w_sink0_data_range377w(0);
	wire_w_lg_sink0_valid384w(0) <= sink0_valid AND wire_w_sink0_data_range383w(0);
	wire_w_lg_sink0_valid390w(0) <= sink0_valid AND wire_w_sink0_data_range389w(0);
	wire_w_lg_sink0_valid396w(0) <= sink0_valid AND wire_w_sink0_data_range395w(0);
	wire_w_lg_sink0_valid42w(0) <= sink0_valid AND wire_w_sink0_data_range41w(0);
	wire_w_lg_sink0_valid48w(0) <= sink0_valid AND wire_w_sink0_data_range47w(0);
	wire_w_lg_sink0_valid54w(0) <= sink0_valid AND wire_w_sink0_data_range53w(0);
	wire_w_lg_sink0_valid60w(0) <= sink0_valid AND wire_w_sink0_data_range59w(0);
	wire_w_lg_sink1_valid404w(0) <= sink1_valid AND wire_w_sink1_channel_range403w(0);
	wire_w_lg_sink1_valid411w(0) <= sink1_valid AND wire_w_sink1_channel_range410w(0);
	wire_w_lg_sink1_valid7w(0) <= sink1_valid AND wire_w_sink1_data_range6w(0);
	wire_w_lg_sink1_valid68w(0) <= sink1_valid AND wire_w_sink1_data_range67w(0);
	wire_w_lg_sink1_valid74w(0) <= sink1_valid AND wire_w_sink1_data_range73w(0);
	wire_w_lg_sink1_valid80w(0) <= sink1_valid AND wire_w_sink1_data_range79w(0);
	wire_w_lg_sink1_valid86w(0) <= sink1_valid AND wire_w_sink1_data_range85w(0);
	wire_w_lg_sink1_valid92w(0) <= sink1_valid AND wire_w_sink1_data_range91w(0);
	wire_w_lg_sink1_valid98w(0) <= sink1_valid AND wire_w_sink1_data_range97w(0);
	wire_w_lg_sink1_valid104w(0) <= sink1_valid AND wire_w_sink1_data_range103w(0);
	wire_w_lg_sink1_valid110w(0) <= sink1_valid AND wire_w_sink1_data_range109w(0);
	wire_w_lg_sink1_valid116w(0) <= sink1_valid AND wire_w_sink1_data_range115w(0);
	wire_w_lg_sink1_valid122w(0) <= sink1_valid AND wire_w_sink1_data_range121w(0);
	wire_w_lg_sink1_valid14w(0) <= sink1_valid AND wire_w_sink1_data_range13w(0);
	wire_w_lg_sink1_valid128w(0) <= sink1_valid AND wire_w_sink1_data_range127w(0);
	wire_w_lg_sink1_valid134w(0) <= sink1_valid AND wire_w_sink1_data_range133w(0);
	wire_w_lg_sink1_valid140w(0) <= sink1_valid AND wire_w_sink1_data_range139w(0);
	wire_w_lg_sink1_valid146w(0) <= sink1_valid AND wire_w_sink1_data_range145w(0);
	wire_w_lg_sink1_valid152w(0) <= sink1_valid AND wire_w_sink1_data_range151w(0);
	wire_w_lg_sink1_valid158w(0) <= sink1_valid AND wire_w_sink1_data_range157w(0);
	wire_w_lg_sink1_valid164w(0) <= sink1_valid AND wire_w_sink1_data_range163w(0);
	wire_w_lg_sink1_valid170w(0) <= sink1_valid AND wire_w_sink1_data_range169w(0);
	wire_w_lg_sink1_valid176w(0) <= sink1_valid AND wire_w_sink1_data_range175w(0);
	wire_w_lg_sink1_valid182w(0) <= sink1_valid AND wire_w_sink1_data_range181w(0);
	wire_w_lg_sink1_valid20w(0) <= sink1_valid AND wire_w_sink1_data_range19w(0);
	wire_w_lg_sink1_valid188w(0) <= sink1_valid AND wire_w_sink1_data_range187w(0);
	wire_w_lg_sink1_valid194w(0) <= sink1_valid AND wire_w_sink1_data_range193w(0);
	wire_w_lg_sink1_valid200w(0) <= sink1_valid AND wire_w_sink1_data_range199w(0);
	wire_w_lg_sink1_valid206w(0) <= sink1_valid AND wire_w_sink1_data_range205w(0);
	wire_w_lg_sink1_valid212w(0) <= sink1_valid AND wire_w_sink1_data_range211w(0);
	wire_w_lg_sink1_valid218w(0) <= sink1_valid AND wire_w_sink1_data_range217w(0);
	wire_w_lg_sink1_valid224w(0) <= sink1_valid AND wire_w_sink1_data_range223w(0);
	wire_w_lg_sink1_valid230w(0) <= sink1_valid AND wire_w_sink1_data_range229w(0);
	wire_w_lg_sink1_valid236w(0) <= sink1_valid AND wire_w_sink1_data_range235w(0);
	wire_w_lg_sink1_valid242w(0) <= sink1_valid AND wire_w_sink1_data_range241w(0);
	wire_w_lg_sink1_valid26w(0) <= sink1_valid AND wire_w_sink1_data_range25w(0);
	wire_w_lg_sink1_valid248w(0) <= sink1_valid AND wire_w_sink1_data_range247w(0);
	wire_w_lg_sink1_valid254w(0) <= sink1_valid AND wire_w_sink1_data_range253w(0);
	wire_w_lg_sink1_valid260w(0) <= sink1_valid AND wire_w_sink1_data_range259w(0);
	wire_w_lg_sink1_valid266w(0) <= sink1_valid AND wire_w_sink1_data_range265w(0);
	wire_w_lg_sink1_valid272w(0) <= sink1_valid AND wire_w_sink1_data_range271w(0);
	wire_w_lg_sink1_valid278w(0) <= sink1_valid AND wire_w_sink1_data_range277w(0);
	wire_w_lg_sink1_valid284w(0) <= sink1_valid AND wire_w_sink1_data_range283w(0);
	wire_w_lg_sink1_valid290w(0) <= sink1_valid AND wire_w_sink1_data_range289w(0);
	wire_w_lg_sink1_valid296w(0) <= sink1_valid AND wire_w_sink1_data_range295w(0);
	wire_w_lg_sink1_valid302w(0) <= sink1_valid AND wire_w_sink1_data_range301w(0);
	wire_w_lg_sink1_valid32w(0) <= sink1_valid AND wire_w_sink1_data_range31w(0);
	wire_w_lg_sink1_valid308w(0) <= sink1_valid AND wire_w_sink1_data_range307w(0);
	wire_w_lg_sink1_valid314w(0) <= sink1_valid AND wire_w_sink1_data_range313w(0);
	wire_w_lg_sink1_valid320w(0) <= sink1_valid AND wire_w_sink1_data_range319w(0);
	wire_w_lg_sink1_valid326w(0) <= sink1_valid AND wire_w_sink1_data_range325w(0);
	wire_w_lg_sink1_valid332w(0) <= sink1_valid AND wire_w_sink1_data_range331w(0);
	wire_w_lg_sink1_valid338w(0) <= sink1_valid AND wire_w_sink1_data_range337w(0);
	wire_w_lg_sink1_valid344w(0) <= sink1_valid AND wire_w_sink1_data_range343w(0);
	wire_w_lg_sink1_valid350w(0) <= sink1_valid AND wire_w_sink1_data_range349w(0);
	wire_w_lg_sink1_valid356w(0) <= sink1_valid AND wire_w_sink1_data_range355w(0);
	wire_w_lg_sink1_valid362w(0) <= sink1_valid AND wire_w_sink1_data_range361w(0);
	wire_w_lg_sink1_valid38w(0) <= sink1_valid AND wire_w_sink1_data_range37w(0);
	wire_w_lg_sink1_valid368w(0) <= sink1_valid AND wire_w_sink1_data_range367w(0);
	wire_w_lg_sink1_valid374w(0) <= sink1_valid AND wire_w_sink1_data_range373w(0);
	wire_w_lg_sink1_valid380w(0) <= sink1_valid AND wire_w_sink1_data_range379w(0);
	wire_w_lg_sink1_valid386w(0) <= sink1_valid AND wire_w_sink1_data_range385w(0);
	wire_w_lg_sink1_valid392w(0) <= sink1_valid AND wire_w_sink1_data_range391w(0);
	wire_w_lg_sink1_valid398w(0) <= sink1_valid AND wire_w_sink1_data_range397w(0);
	wire_w_lg_sink1_valid44w(0) <= sink1_valid AND wire_w_sink1_data_range43w(0);
	wire_w_lg_sink1_valid50w(0) <= sink1_valid AND wire_w_sink1_data_range49w(0);
	wire_w_lg_sink1_valid56w(0) <= sink1_valid AND wire_w_sink1_data_range55w(0);
	wire_w_lg_sink1_valid62w(0) <= sink1_valid AND wire_w_sink1_data_range61w(0);
	wire_w_lg_w_lg_sink0_valid402w405w(0) <= wire_w_lg_sink0_valid402w(0) OR wire_w_lg_sink1_valid404w(0);
	wire_w_lg_w_lg_sink0_valid409w412w(0) <= wire_w_lg_sink0_valid409w(0) OR wire_w_lg_sink1_valid411w(0);
	wire_w_lg_w_lg_sink0_valid5w8w(0) <= wire_w_lg_sink0_valid5w(0) OR wire_w_lg_sink1_valid7w(0);
	wire_w_lg_w_lg_sink0_valid66w69w(0) <= wire_w_lg_sink0_valid66w(0) OR wire_w_lg_sink1_valid68w(0);
	wire_w_lg_w_lg_sink0_valid72w75w(0) <= wire_w_lg_sink0_valid72w(0) OR wire_w_lg_sink1_valid74w(0);
	wire_w_lg_w_lg_sink0_valid78w81w(0) <= wire_w_lg_sink0_valid78w(0) OR wire_w_lg_sink1_valid80w(0);
	wire_w_lg_w_lg_sink0_valid84w87w(0) <= wire_w_lg_sink0_valid84w(0) OR wire_w_lg_sink1_valid86w(0);
	wire_w_lg_w_lg_sink0_valid90w93w(0) <= wire_w_lg_sink0_valid90w(0) OR wire_w_lg_sink1_valid92w(0);
	wire_w_lg_w_lg_sink0_valid96w99w(0) <= wire_w_lg_sink0_valid96w(0) OR wire_w_lg_sink1_valid98w(0);
	wire_w_lg_w_lg_sink0_valid102w105w(0) <= wire_w_lg_sink0_valid102w(0) OR wire_w_lg_sink1_valid104w(0);
	wire_w_lg_w_lg_sink0_valid108w111w(0) <= wire_w_lg_sink0_valid108w(0) OR wire_w_lg_sink1_valid110w(0);
	wire_w_lg_w_lg_sink0_valid114w117w(0) <= wire_w_lg_sink0_valid114w(0) OR wire_w_lg_sink1_valid116w(0);
	wire_w_lg_w_lg_sink0_valid120w123w(0) <= wire_w_lg_sink0_valid120w(0) OR wire_w_lg_sink1_valid122w(0);
	wire_w_lg_w_lg_sink0_valid12w15w(0) <= wire_w_lg_sink0_valid12w(0) OR wire_w_lg_sink1_valid14w(0);
	wire_w_lg_w_lg_sink0_valid126w129w(0) <= wire_w_lg_sink0_valid126w(0) OR wire_w_lg_sink1_valid128w(0);
	wire_w_lg_w_lg_sink0_valid132w135w(0) <= wire_w_lg_sink0_valid132w(0) OR wire_w_lg_sink1_valid134w(0);
	wire_w_lg_w_lg_sink0_valid138w141w(0) <= wire_w_lg_sink0_valid138w(0) OR wire_w_lg_sink1_valid140w(0);
	wire_w_lg_w_lg_sink0_valid144w147w(0) <= wire_w_lg_sink0_valid144w(0) OR wire_w_lg_sink1_valid146w(0);
	wire_w_lg_w_lg_sink0_valid150w153w(0) <= wire_w_lg_sink0_valid150w(0) OR wire_w_lg_sink1_valid152w(0);
	wire_w_lg_w_lg_sink0_valid156w159w(0) <= wire_w_lg_sink0_valid156w(0) OR wire_w_lg_sink1_valid158w(0);
	wire_w_lg_w_lg_sink0_valid162w165w(0) <= wire_w_lg_sink0_valid162w(0) OR wire_w_lg_sink1_valid164w(0);
	wire_w_lg_w_lg_sink0_valid168w171w(0) <= wire_w_lg_sink0_valid168w(0) OR wire_w_lg_sink1_valid170w(0);
	wire_w_lg_w_lg_sink0_valid174w177w(0) <= wire_w_lg_sink0_valid174w(0) OR wire_w_lg_sink1_valid176w(0);
	wire_w_lg_w_lg_sink0_valid180w183w(0) <= wire_w_lg_sink0_valid180w(0) OR wire_w_lg_sink1_valid182w(0);
	wire_w_lg_w_lg_sink0_valid18w21w(0) <= wire_w_lg_sink0_valid18w(0) OR wire_w_lg_sink1_valid20w(0);
	wire_w_lg_w_lg_sink0_valid186w189w(0) <= wire_w_lg_sink0_valid186w(0) OR wire_w_lg_sink1_valid188w(0);
	wire_w_lg_w_lg_sink0_valid192w195w(0) <= wire_w_lg_sink0_valid192w(0) OR wire_w_lg_sink1_valid194w(0);
	wire_w_lg_w_lg_sink0_valid198w201w(0) <= wire_w_lg_sink0_valid198w(0) OR wire_w_lg_sink1_valid200w(0);
	wire_w_lg_w_lg_sink0_valid204w207w(0) <= wire_w_lg_sink0_valid204w(0) OR wire_w_lg_sink1_valid206w(0);
	wire_w_lg_w_lg_sink0_valid210w213w(0) <= wire_w_lg_sink0_valid210w(0) OR wire_w_lg_sink1_valid212w(0);
	wire_w_lg_w_lg_sink0_valid216w219w(0) <= wire_w_lg_sink0_valid216w(0) OR wire_w_lg_sink1_valid218w(0);
	wire_w_lg_w_lg_sink0_valid222w225w(0) <= wire_w_lg_sink0_valid222w(0) OR wire_w_lg_sink1_valid224w(0);
	wire_w_lg_w_lg_sink0_valid228w231w(0) <= wire_w_lg_sink0_valid228w(0) OR wire_w_lg_sink1_valid230w(0);
	wire_w_lg_w_lg_sink0_valid234w237w(0) <= wire_w_lg_sink0_valid234w(0) OR wire_w_lg_sink1_valid236w(0);
	wire_w_lg_w_lg_sink0_valid240w243w(0) <= wire_w_lg_sink0_valid240w(0) OR wire_w_lg_sink1_valid242w(0);
	wire_w_lg_w_lg_sink0_valid24w27w(0) <= wire_w_lg_sink0_valid24w(0) OR wire_w_lg_sink1_valid26w(0);
	wire_w_lg_w_lg_sink0_valid246w249w(0) <= wire_w_lg_sink0_valid246w(0) OR wire_w_lg_sink1_valid248w(0);
	wire_w_lg_w_lg_sink0_valid252w255w(0) <= wire_w_lg_sink0_valid252w(0) OR wire_w_lg_sink1_valid254w(0);
	wire_w_lg_w_lg_sink0_valid258w261w(0) <= wire_w_lg_sink0_valid258w(0) OR wire_w_lg_sink1_valid260w(0);
	wire_w_lg_w_lg_sink0_valid264w267w(0) <= wire_w_lg_sink0_valid264w(0) OR wire_w_lg_sink1_valid266w(0);
	wire_w_lg_w_lg_sink0_valid270w273w(0) <= wire_w_lg_sink0_valid270w(0) OR wire_w_lg_sink1_valid272w(0);
	wire_w_lg_w_lg_sink0_valid276w279w(0) <= wire_w_lg_sink0_valid276w(0) OR wire_w_lg_sink1_valid278w(0);
	wire_w_lg_w_lg_sink0_valid282w285w(0) <= wire_w_lg_sink0_valid282w(0) OR wire_w_lg_sink1_valid284w(0);
	wire_w_lg_w_lg_sink0_valid288w291w(0) <= wire_w_lg_sink0_valid288w(0) OR wire_w_lg_sink1_valid290w(0);
	wire_w_lg_w_lg_sink0_valid294w297w(0) <= wire_w_lg_sink0_valid294w(0) OR wire_w_lg_sink1_valid296w(0);
	wire_w_lg_w_lg_sink0_valid300w303w(0) <= wire_w_lg_sink0_valid300w(0) OR wire_w_lg_sink1_valid302w(0);
	wire_w_lg_w_lg_sink0_valid30w33w(0) <= wire_w_lg_sink0_valid30w(0) OR wire_w_lg_sink1_valid32w(0);
	wire_w_lg_w_lg_sink0_valid306w309w(0) <= wire_w_lg_sink0_valid306w(0) OR wire_w_lg_sink1_valid308w(0);
	wire_w_lg_w_lg_sink0_valid312w315w(0) <= wire_w_lg_sink0_valid312w(0) OR wire_w_lg_sink1_valid314w(0);
	wire_w_lg_w_lg_sink0_valid318w321w(0) <= wire_w_lg_sink0_valid318w(0) OR wire_w_lg_sink1_valid320w(0);
	wire_w_lg_w_lg_sink0_valid324w327w(0) <= wire_w_lg_sink0_valid324w(0) OR wire_w_lg_sink1_valid326w(0);
	wire_w_lg_w_lg_sink0_valid330w333w(0) <= wire_w_lg_sink0_valid330w(0) OR wire_w_lg_sink1_valid332w(0);
	wire_w_lg_w_lg_sink0_valid336w339w(0) <= wire_w_lg_sink0_valid336w(0) OR wire_w_lg_sink1_valid338w(0);
	wire_w_lg_w_lg_sink0_valid342w345w(0) <= wire_w_lg_sink0_valid342w(0) OR wire_w_lg_sink1_valid344w(0);
	wire_w_lg_w_lg_sink0_valid348w351w(0) <= wire_w_lg_sink0_valid348w(0) OR wire_w_lg_sink1_valid350w(0);
	wire_w_lg_w_lg_sink0_valid354w357w(0) <= wire_w_lg_sink0_valid354w(0) OR wire_w_lg_sink1_valid356w(0);
	wire_w_lg_w_lg_sink0_valid360w363w(0) <= wire_w_lg_sink0_valid360w(0) OR wire_w_lg_sink1_valid362w(0);
	wire_w_lg_w_lg_sink0_valid36w39w(0) <= wire_w_lg_sink0_valid36w(0) OR wire_w_lg_sink1_valid38w(0);
	wire_w_lg_w_lg_sink0_valid366w369w(0) <= wire_w_lg_sink0_valid366w(0) OR wire_w_lg_sink1_valid368w(0);
	wire_w_lg_w_lg_sink0_valid372w375w(0) <= wire_w_lg_sink0_valid372w(0) OR wire_w_lg_sink1_valid374w(0);
	wire_w_lg_w_lg_sink0_valid378w381w(0) <= wire_w_lg_sink0_valid378w(0) OR wire_w_lg_sink1_valid380w(0);
	wire_w_lg_w_lg_sink0_valid384w387w(0) <= wire_w_lg_sink0_valid384w(0) OR wire_w_lg_sink1_valid386w(0);
	wire_w_lg_w_lg_sink0_valid390w393w(0) <= wire_w_lg_sink0_valid390w(0) OR wire_w_lg_sink1_valid392w(0);
	wire_w_lg_w_lg_sink0_valid396w399w(0) <= wire_w_lg_sink0_valid396w(0) OR wire_w_lg_sink1_valid398w(0);
	wire_w_lg_w_lg_sink0_valid42w45w(0) <= wire_w_lg_sink0_valid42w(0) OR wire_w_lg_sink1_valid44w(0);
	wire_w_lg_w_lg_sink0_valid48w51w(0) <= wire_w_lg_sink0_valid48w(0) OR wire_w_lg_sink1_valid50w(0);
	wire_w_lg_w_lg_sink0_valid54w57w(0) <= wire_w_lg_sink0_valid54w(0) OR wire_w_lg_sink1_valid56w(0);
	wire_w_lg_w_lg_sink0_valid60w63w(0) <= wire_w_lg_sink0_valid60w(0) OR wire_w_lg_sink1_valid62w(0);
	sink0_ready <= (sink0_valid AND src_ready);
	sink1_ready <= (sink1_valid AND src_ready);
	src_channel <= ( wire_w_lg_w_lg_sink0_valid409w412w & wire_w_lg_w_lg_sink0_valid402w405w);
	src_data <= ( wire_w_lg_w_lg_sink0_valid396w399w & wire_w_lg_w_lg_sink0_valid390w393w & wire_w_lg_w_lg_sink0_valid384w387w & wire_w_lg_w_lg_sink0_valid378w381w & wire_w_lg_w_lg_sink0_valid372w375w & wire_w_lg_w_lg_sink0_valid366w369w & wire_w_lg_w_lg_sink0_valid360w363w & wire_w_lg_w_lg_sink0_valid354w357w & wire_w_lg_w_lg_sink0_valid348w351w & wire_w_lg_w_lg_sink0_valid342w345w & wire_w_lg_w_lg_sink0_valid336w339w & wire_w_lg_w_lg_sink0_valid330w333w & wire_w_lg_w_lg_sink0_valid324w327w & wire_w_lg_w_lg_sink0_valid318w321w & wire_w_lg_w_lg_sink0_valid312w315w & wire_w_lg_w_lg_sink0_valid306w309w & wire_w_lg_w_lg_sink0_valid300w303w & wire_w_lg_w_lg_sink0_valid294w297w & wire_w_lg_w_lg_sink0_valid288w291w & wire_w_lg_w_lg_sink0_valid282w285w & wire_w_lg_w_lg_sink0_valid276w279w & wire_w_lg_w_lg_sink0_valid270w273w & wire_w_lg_w_lg_sink0_valid264w267w & wire_w_lg_w_lg_sink0_valid258w261w & wire_w_lg_w_lg_sink0_valid252w255w & wire_w_lg_w_lg_sink0_valid246w249w & wire_w_lg_w_lg_sink0_valid240w243w & wire_w_lg_w_lg_sink0_valid234w237w & wire_w_lg_w_lg_sink0_valid228w231w & wire_w_lg_w_lg_sink0_valid222w225w & wire_w_lg_w_lg_sink0_valid216w219w & wire_w_lg_w_lg_sink0_valid210w213w & wire_w_lg_w_lg_sink0_valid204w207w & wire_w_lg_w_lg_sink0_valid198w201w & wire_w_lg_w_lg_sink0_valid192w195w & wire_w_lg_w_lg_sink0_valid186w189w & wire_w_lg_w_lg_sink0_valid180w183w & wire_w_lg_w_lg_sink0_valid174w177w & wire_w_lg_w_lg_sink0_valid168w171w & wire_w_lg_w_lg_sink0_valid162w165w & wire_w_lg_w_lg_sink0_valid156w159w & wire_w_lg_w_lg_sink0_valid150w153w & wire_w_lg_w_lg_sink0_valid144w147w & wire_w_lg_w_lg_sink0_valid138w141w & wire_w_lg_w_lg_sink0_valid132w135w & wire_w_lg_w_lg_sink0_valid126w129w & wire_w_lg_w_lg_sink0_valid120w123w & wire_w_lg_w_lg_sink0_valid114w117w & wire_w_lg_w_lg_sink0_valid108w111w & wire_w_lg_w_lg_sink0_valid102w105w & wire_w_lg_w_lg_sink0_valid96w99w & wire_w_lg_w_lg_sink0_valid90w93w & wire_w_lg_w_lg_sink0_valid84w87w & wire_w_lg_w_lg_sink0_valid78w81w & wire_w_lg_w_lg_sink0_valid72w75w & wire_w_lg_w_lg_sink0_valid66w69w
 & wire_w_lg_w_lg_sink0_valid60w63w & wire_w_lg_w_lg_sink0_valid54w57w & wire_w_lg_w_lg_sink0_valid48w51w & wire_w_lg_w_lg_sink0_valid42w45w & wire_w_lg_w_lg_sink0_valid36w39w & wire_w_lg_w_lg_sink0_valid30w33w & wire_w_lg_w_lg_sink0_valid24w27w & wire_w_lg_w_lg_sink0_valid18w21w & wire_w_lg_w_lg_sink0_valid12w15w & wire_w_lg_w_lg_sink0_valid5w8w);
	src_endofpacket <= ((sink0_valid AND sink0_endofpacket) OR (sink1_valid AND sink1_endofpacket));
	src_startofpacket <= ((sink0_valid AND sink0_startofpacket) OR (sink1_valid AND sink1_startofpacket));
	src_valid <= (sink0_valid OR sink1_valid);
	wire_w_sink0_channel_range401w(0) <= sink0_channel(0);
	wire_w_sink0_channel_range408w(0) <= sink0_channel(1);
	wire_w_sink0_data_range4w(0) <= sink0_data(0);
	wire_w_sink0_data_range65w(0) <= sink0_data(10);
	wire_w_sink0_data_range71w(0) <= sink0_data(11);
	wire_w_sink0_data_range77w(0) <= sink0_data(12);
	wire_w_sink0_data_range83w(0) <= sink0_data(13);
	wire_w_sink0_data_range89w(0) <= sink0_data(14);
	wire_w_sink0_data_range95w(0) <= sink0_data(15);
	wire_w_sink0_data_range101w(0) <= sink0_data(16);
	wire_w_sink0_data_range107w(0) <= sink0_data(17);
	wire_w_sink0_data_range113w(0) <= sink0_data(18);
	wire_w_sink0_data_range119w(0) <= sink0_data(19);
	wire_w_sink0_data_range11w(0) <= sink0_data(1);
	wire_w_sink0_data_range125w(0) <= sink0_data(20);
	wire_w_sink0_data_range131w(0) <= sink0_data(21);
	wire_w_sink0_data_range137w(0) <= sink0_data(22);
	wire_w_sink0_data_range143w(0) <= sink0_data(23);
	wire_w_sink0_data_range149w(0) <= sink0_data(24);
	wire_w_sink0_data_range155w(0) <= sink0_data(25);
	wire_w_sink0_data_range161w(0) <= sink0_data(26);
	wire_w_sink0_data_range167w(0) <= sink0_data(27);
	wire_w_sink0_data_range173w(0) <= sink0_data(28);
	wire_w_sink0_data_range179w(0) <= sink0_data(29);
	wire_w_sink0_data_range17w(0) <= sink0_data(2);
	wire_w_sink0_data_range185w(0) <= sink0_data(30);
	wire_w_sink0_data_range191w(0) <= sink0_data(31);
	wire_w_sink0_data_range197w(0) <= sink0_data(32);
	wire_w_sink0_data_range203w(0) <= sink0_data(33);
	wire_w_sink0_data_range209w(0) <= sink0_data(34);
	wire_w_sink0_data_range215w(0) <= sink0_data(35);
	wire_w_sink0_data_range221w(0) <= sink0_data(36);
	wire_w_sink0_data_range227w(0) <= sink0_data(37);
	wire_w_sink0_data_range233w(0) <= sink0_data(38);
	wire_w_sink0_data_range239w(0) <= sink0_data(39);
	wire_w_sink0_data_range23w(0) <= sink0_data(3);
	wire_w_sink0_data_range245w(0) <= sink0_data(40);
	wire_w_sink0_data_range251w(0) <= sink0_data(41);
	wire_w_sink0_data_range257w(0) <= sink0_data(42);
	wire_w_sink0_data_range263w(0) <= sink0_data(43);
	wire_w_sink0_data_range269w(0) <= sink0_data(44);
	wire_w_sink0_data_range275w(0) <= sink0_data(45);
	wire_w_sink0_data_range281w(0) <= sink0_data(46);
	wire_w_sink0_data_range287w(0) <= sink0_data(47);
	wire_w_sink0_data_range293w(0) <= sink0_data(48);
	wire_w_sink0_data_range299w(0) <= sink0_data(49);
	wire_w_sink0_data_range29w(0) <= sink0_data(4);
	wire_w_sink0_data_range305w(0) <= sink0_data(50);
	wire_w_sink0_data_range311w(0) <= sink0_data(51);
	wire_w_sink0_data_range317w(0) <= sink0_data(52);
	wire_w_sink0_data_range323w(0) <= sink0_data(53);
	wire_w_sink0_data_range329w(0) <= sink0_data(54);
	wire_w_sink0_data_range335w(0) <= sink0_data(55);
	wire_w_sink0_data_range341w(0) <= sink0_data(56);
	wire_w_sink0_data_range347w(0) <= sink0_data(57);
	wire_w_sink0_data_range353w(0) <= sink0_data(58);
	wire_w_sink0_data_range359w(0) <= sink0_data(59);
	wire_w_sink0_data_range35w(0) <= sink0_data(5);
	wire_w_sink0_data_range365w(0) <= sink0_data(60);
	wire_w_sink0_data_range371w(0) <= sink0_data(61);
	wire_w_sink0_data_range377w(0) <= sink0_data(62);
	wire_w_sink0_data_range383w(0) <= sink0_data(63);
	wire_w_sink0_data_range389w(0) <= sink0_data(64);
	wire_w_sink0_data_range395w(0) <= sink0_data(65);
	wire_w_sink0_data_range41w(0) <= sink0_data(6);
	wire_w_sink0_data_range47w(0) <= sink0_data(7);
	wire_w_sink0_data_range53w(0) <= sink0_data(8);
	wire_w_sink0_data_range59w(0) <= sink0_data(9);
	wire_w_sink1_channel_range403w(0) <= sink1_channel(0);
	wire_w_sink1_channel_range410w(0) <= sink1_channel(1);
	wire_w_sink1_data_range6w(0) <= sink1_data(0);
	wire_w_sink1_data_range67w(0) <= sink1_data(10);
	wire_w_sink1_data_range73w(0) <= sink1_data(11);
	wire_w_sink1_data_range79w(0) <= sink1_data(12);
	wire_w_sink1_data_range85w(0) <= sink1_data(13);
	wire_w_sink1_data_range91w(0) <= sink1_data(14);
	wire_w_sink1_data_range97w(0) <= sink1_data(15);
	wire_w_sink1_data_range103w(0) <= sink1_data(16);
	wire_w_sink1_data_range109w(0) <= sink1_data(17);
	wire_w_sink1_data_range115w(0) <= sink1_data(18);
	wire_w_sink1_data_range121w(0) <= sink1_data(19);
	wire_w_sink1_data_range13w(0) <= sink1_data(1);
	wire_w_sink1_data_range127w(0) <= sink1_data(20);
	wire_w_sink1_data_range133w(0) <= sink1_data(21);
	wire_w_sink1_data_range139w(0) <= sink1_data(22);
	wire_w_sink1_data_range145w(0) <= sink1_data(23);
	wire_w_sink1_data_range151w(0) <= sink1_data(24);
	wire_w_sink1_data_range157w(0) <= sink1_data(25);
	wire_w_sink1_data_range163w(0) <= sink1_data(26);
	wire_w_sink1_data_range169w(0) <= sink1_data(27);
	wire_w_sink1_data_range175w(0) <= sink1_data(28);
	wire_w_sink1_data_range181w(0) <= sink1_data(29);
	wire_w_sink1_data_range19w(0) <= sink1_data(2);
	wire_w_sink1_data_range187w(0) <= sink1_data(30);
	wire_w_sink1_data_range193w(0) <= sink1_data(31);
	wire_w_sink1_data_range199w(0) <= sink1_data(32);
	wire_w_sink1_data_range205w(0) <= sink1_data(33);
	wire_w_sink1_data_range211w(0) <= sink1_data(34);
	wire_w_sink1_data_range217w(0) <= sink1_data(35);
	wire_w_sink1_data_range223w(0) <= sink1_data(36);
	wire_w_sink1_data_range229w(0) <= sink1_data(37);
	wire_w_sink1_data_range235w(0) <= sink1_data(38);
	wire_w_sink1_data_range241w(0) <= sink1_data(39);
	wire_w_sink1_data_range25w(0) <= sink1_data(3);
	wire_w_sink1_data_range247w(0) <= sink1_data(40);
	wire_w_sink1_data_range253w(0) <= sink1_data(41);
	wire_w_sink1_data_range259w(0) <= sink1_data(42);
	wire_w_sink1_data_range265w(0) <= sink1_data(43);
	wire_w_sink1_data_range271w(0) <= sink1_data(44);
	wire_w_sink1_data_range277w(0) <= sink1_data(45);
	wire_w_sink1_data_range283w(0) <= sink1_data(46);
	wire_w_sink1_data_range289w(0) <= sink1_data(47);
	wire_w_sink1_data_range295w(0) <= sink1_data(48);
	wire_w_sink1_data_range301w(0) <= sink1_data(49);
	wire_w_sink1_data_range31w(0) <= sink1_data(4);
	wire_w_sink1_data_range307w(0) <= sink1_data(50);
	wire_w_sink1_data_range313w(0) <= sink1_data(51);
	wire_w_sink1_data_range319w(0) <= sink1_data(52);
	wire_w_sink1_data_range325w(0) <= sink1_data(53);
	wire_w_sink1_data_range331w(0) <= sink1_data(54);
	wire_w_sink1_data_range337w(0) <= sink1_data(55);
	wire_w_sink1_data_range343w(0) <= sink1_data(56);
	wire_w_sink1_data_range349w(0) <= sink1_data(57);
	wire_w_sink1_data_range355w(0) <= sink1_data(58);
	wire_w_sink1_data_range361w(0) <= sink1_data(59);
	wire_w_sink1_data_range37w(0) <= sink1_data(5);
	wire_w_sink1_data_range367w(0) <= sink1_data(60);
	wire_w_sink1_data_range373w(0) <= sink1_data(61);
	wire_w_sink1_data_range379w(0) <= sink1_data(62);
	wire_w_sink1_data_range385w(0) <= sink1_data(63);
	wire_w_sink1_data_range391w(0) <= sink1_data(64);
	wire_w_sink1_data_range397w(0) <= sink1_data(65);
	wire_w_sink1_data_range43w(0) <= sink1_data(6);
	wire_w_sink1_data_range49w(0) <= sink1_data(7);
	wire_w_sink1_data_range55w(0) <= sink1_data(8);
	wire_w_sink1_data_range61w(0) <= sink1_data(9);

 END RTL; --altera_merlin_multiplexer_0001
--synopsys translate_on
--VALID FILE
